#
# spec file for package osinfo-db
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           osinfo-db
Version:        20201218
Release:        1.13
Summary:        Osinfo database files
License:        LGPL-2.1+ and GPL-2.0+
Group:          System/Management
BuildArch:      noarch
Url:            https://gitlab.com/libosinfo/osinfo-db
Source:         https://releases.pagure.org/libosinfo/%{name}-%{version}.tar.xz
Patch21:        add-oes-support.patch
Patch22:        add-caasp40-support.patch
Patch24:        add-win-2k19-media-info.patch
Patch25:        fix-sle15sp1-volume-id-string.patch
Patch26:        SLE-add-info-about-UEFI-support.patch
Patch27:        fix-tumbleweed-order.patch
Patch28:        add-leap15.3-support.patch
Patch29:        add-sle15sp3-support.patch

BuildRequires:  intltool
BuildRequires:  osinfo-db-tools

%description
The osinfo database provides information about operating systems and
hypervisor platforms to facilitate the automated configuration and
provisioning of new virtual machines

%prep
%setup -q
%patch21 -p1
%patch22 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1

%build
cd %{_builddir}
tar -cJf x.tar.xz osinfo-db-%{version}

%install
osinfo-db-import --root %{buildroot} --dir %{_datadir}/osinfo "%{_builddir}/x.tar.xz"

%files
%defattr(-,root,root,-)
%dir %{_datadir}/osinfo/
%{_datadir}/osinfo/VERSION
%{_datadir}/osinfo/LICENSE
%{_datadir}/osinfo/datamap
%{_datadir}/osinfo/device
%{_datadir}/osinfo/os
%{_datadir}/osinfo/platform
%{_datadir}/osinfo/install-script
%{_datadir}/osinfo/schema

%changelog
* Tue Jan 12 2021 carnold@suse.com
- Update database to version 20201218
  osinfo-db-20201218.tar.xz
* Mon Oct 26 2020 carnold@suse.com
- Update database to version 20201015
  osinfo-db-20201015.tar.xz
* Thu Sep  3 2020 carnold@suse.com
- Update database to version 20200813
  osinfo-db-20200813.tar.xz
* Fri Aug 14 2020 carnold@suse.com
- Add support for openSUSE Leap 15.3 and SLE15-SP3
  add-leap15.3-support.patch
  add-sle15sp3-support.patch
* Fri Aug  7 2020 carnold@suse.com
- Update database to version 20200804
- Drop patches included in new tarball
  add-opensuse-leap-15.2-support.patch
  add-sle15sp2-support.patch
* Wed Jul  1 2020 fcrozat@suse.com
- Add fix-tumbleweed-order.patch: ensure x86_64 is listed before
  i686, to have x86_64 selected by default in GNOME Boxes
- Update url with gitlab home for osinfo-db.
* Mon Jun  1 2020 carnold@suse.com
- Update database to version 20200529
- Drop 5bbe30db-opensuse-add-info-about-UEFI-support.patch
* Fri May 22 2020 carnold@suse.com
- bsc#1172008 - osinfo-db: Add support for openSUSE Leap 15.2
  add-opensuse-leap-15.2-support.patch
* Thu Mar  5 2020 carnold@suse.com
- bsc#1165855 - Add UEFI support to the database for SLES and
  openSUSE distros
  5bbe30db-opensuse-add-info-about-UEFI-support.patch
  SLE-add-info-about-UEFI-support.patch
* Tue Mar  3 2020 carnold@suse.com
- Update database to version 20200214
  osinfo-db-20200214.tar.xz
- Drop patch included in new tarball
  add-sle12sp5-support.patch
* Wed Feb 26 2020 carnold@suse.com
- Fix the length of string for the ISO volume id (bsc#1054986)
  fix-sle15sp1-volume-id-string.patch
  add-sle15sp2-support.patch
- Fix release date of SLE12-SP5
  add-sle12sp5-support.patch
* Thu Jan  2 2020 carnold@suse.com
- bsc#1159445 - [virt-manager] Detected the wrong win guest system
  version from the local install media
  add-win-2k19-media-info.patch
* Mon Dec  2 2019 carnold@suse.com
- Update database to version 20191125
  osinfo-db-20191125.tar.xz
- Update sle12sp5 definition
  add-sle12sp5-support.patch
* Wed Nov 13 2019 carnold@suse.com
- Update database to version 20191108
  osinfo-db-20191108.tar.xz
* Tue Oct  1 2019 carnold@suse.com
- Update database to version 20190920
  osinfo-db-20190920.tar.xz
* Wed Sep 18 2019 carnold@suse.com
- Update database to version 20190905
  osinfo-db-20190905.tar.xz
* Wed Sep  4 2019 carnold@suse.com
- Update database to version 20190805
  osinfo-db-20190805.tar.xz
- Add support for SLE15-SP2
  add-sle15sp2-support.patch
* Fri Jul 26 2019 carnold@suse.com
- Update database to version 20190726
  osinfo-db-20190726.tar.xz
- Drop add-sle15sp1-support.patch
* Wed Jul 17 2019 carnold@suse.com
- Update database to version 20190611
  osinfo-db-20190611.tar.xz
- Drop add-sle12sp4-support.patch
* Thu Jun  6 2019 carnold@suse.com
- Add official release date for sle15sp1
  add-sle15sp1-support.patch
* Thu May  9 2019 carnold@suse.com
- Update database to version 20190504
  osinfo-db-20190504.tar.xz
- Drop add-opensuse-leap-15.1-support.patch
* Tue Apr 23 2019 carnold@suse.com
- Add support for sle12sp5
  add-sle12sp5-support.patch
* Wed Apr 10 2019 carnold@suse.com
- Update database to version 20190319
  osinfo-db-20190319.tar.xz
* Wed Mar 13 2019 carnold@suse.com
- Add support for Caasp40 media
  add-caasp40-support.patch
* Fri Mar  1 2019 carnold@suse.com
- Update database to version 20190301
  osinfo-db-20190301.tar.xz
* Mon Feb  4 2019 carnold@suse.com
- Update database to version 20190120
  osinfo-db-20190120.tar.xz
* Thu Jan  3 2019 carnold@suse.com
- Fix volume ID for SLE15-SP1 (bsc#1086715)
  add-sle15sp1-support.patch
  add-opensuse-leap-15.1-support.patch
* Tue Dec 18 2018 carnold@suse.com
- Add correct release date for SLE12-SP4
  add-sle12sp4-support.patch
* Fri Nov 30 2018 carnold@suse.com
- Update database to version 20181116
  osinfo-db-20181116.tar.xz
* Fri Oct 12 2018 fabiano@fidencio.org
- Update database to version 20181011
  osinfo-db-20181011.tar.xz
- Drop add-caasp-support.patch
- Drop modify-volume-id-for-windows.patch
* Wed Oct 10 2018 carnold@suse.com
- Add support for sle15sp1 (bsc#1086715)
  add-sle15sp1-support.patch
* Tue Oct  2 2018 carnold@suse.com
- Update database to version 20180920
  osinfo-db-20180920.tar.xz
* Mon Sep  3 2018 fabiano@fidencio.org
- Update database to version 20180903
  osinfo-db-20180903.tar.xz
* Fri Jul 27 2018 carnold@suse.com
- bsc#1102101 - osinfo-db: Add support for sle12sp4 to the database
  add-sle12sp4-support.patch
* Fri Jul 20 2018 fabiano@fidencio.org
- Update database to version 20180720
  osinfo-db-20180720.tar.xz
- Drop add-sle15-support.patch
* Fri Jul 13 2018 carnold@suse.com
- Add official release date for sle15. Drop 'sles' and 'sled' in
  favor of just 'sle' (bsc#1054986)
  add-sle15-support.patch
* Tue Jun 19 2018 carnold@suse.com
- bsc#1098054 - osinfo-query and virt-install do not detect
  caasp3.0
  add-caasp-support.patch
* Tue Jun 12 2018 fabiano@fidencio.org
- Update database to version 20180612
  osinfo-db-20180612.tar.xz
* Thu May 31 2018 fabiano@fidencio.org
- Update database to version 20180531
  osinfo-db-20180531.tar.xz
- Drop add-opensuse-leap-15-support.patch
* Mon May 14 2018 fabiano@fidencio.org
- Update database to version 20180514
  osinfo-db-20180514.tar.xz
* Wed May  2 2018 fabiano@fidencio.org
- Update database to version 20180502
  osinfo-db-20180502.tar.xz
* Mon Apr 16 2018 fabiano@fidencio.org
- fate#322156 - Update database to version 20180416
  osinfo-db-20180416.tar.xz
* Wed Apr  4 2018 lyan@suse.com
- bsc#974580 - modify volume id for some windows iso files
  First, use "X64FREE?" instead of "X64FRE".
  Second, add "IR1_SSS_X64FREV_EN-US_DV5".
  modify-volume-id-for-windows.patch
* Fri Mar 23 2018 carnold@suse.com
- bsc#1086715 - SLE15 patch for osinfo-db has wrong information
  in it
  add-sle15-support.patch
* Mon Mar 19 2018 carnold@suse.com
- bsc#1085757 - Leap 15 patch for osinfo-db has wrong information
  in it
  add-opensuse-leap-15-support.patch
* Wed Mar 14 2018 carnold@suse.com
- fate#322156 - Update database to version 20180311
  osinfo-db-20180311.tar.xz
- Drop
  add-opensuse-leap-42.3-support.patch
  add-sle12sp3-support.patch
  add-win2k16-support.patch
* Tue Dec 19 2017 carnold@suse.com
- Fix version string for leap 15 (bsc#1054986)
  add-opensuse-leap-15-support.patch
* Fri Sep  8 2017 carnold@suse.com
- bsc#1057733 - libosinfo db entry for caasp wrong
  add-caasp-support.patch
* Tue Aug 29 2017 carnold@suse.com
- bsc#1056028 - Not able to install OES2018 as guest on Xen
  add-oes-support.patch
* Wed Aug 16 2017 carnold@suse.com
- Add support for openSUSE Leap 15 and SLE15 (bsc#1054986)
  add-opensuse-leap-15-support.patch
  add-sle15-support.patch
* Mon Aug 14 2017 carnold@suse.com
- fate#322156 - Update database to version 20170813
  osinfo-db-20170813.tar.xz
* Tue Jun 13 2017 carnold@suse.com
- fate#322156 - Update database to version 20170423
  osinfo-db-20170423.tar.xz
* Mon Apr 10 2017 cbosdonnat@suse.com
- casp is actually written CaasP.
  Rename patch add-casp-support.patch into add-caasp-support.patch
* Wed Mar 29 2017 carnold@suse.com
- bsc#1030538 - osinf-db: casp-1.xml should be called casp-1.0.xml
  add-casp-support.patch
- fate#322156 - Update to version 20170326
  osinfo-db-20170326.tar.xz
- Dropped patches now in new tarball
  99f7e666-fix-opensuse-derives-from-information.patch
  470b7652-add-opensuse-device-information.patch
  3c621fd8-add-opensuse-date-information.patch
  e77abec7-add-opensuse-resource-information.patch
  67c74e5f-add-opensuse-leap-42.2-support.patch
  f0d44d88-add-missing-sle10-distros.patch
  9a35cea7-fix-sle-derives-from-information.patch
  50091807-add-sle-device-information.patch
  9dec2be8-add-sle-date-information.patch
  1a7ce161-add-sle-resource-information.patch
  99ae3d72-add-sle12sp2-support.patch
* Fri Mar  3 2017 carnold@suse.com
- fate#322156 - Virtualization: Supported Virtualizated Guests
  add-win2k16-support.patch
* Fri Jan 27 2017 jengelh@inai.de
- Use more appropriate RPM group
- Avoid overwriting sources during build
* Fri Jan 13 2017 carnold@suse.com
- bsc#1010060 - virt-install won't start CASP installation
  add-casp-support.patch
* Tue Dec  6 2016 carnold@suse.com
- bsc#1013983 - incomplete capabilities list of SLE and openSUSE
  distributions in libosinfo
  99f7e666-fix-opensuse-derives-from-information.patch
  470b7652-add-opensuse-device-information.patch
  3c621fd8-add-opensuse-date-information.patch
  e77abec7-add-opensuse-resource-information.patch
  67c74e5f-add-opensuse-leap-42.2-support.patch
  f0d44d88-add-missing-sle10-distros.patch
  9a35cea7-fix-sle-derives-from-information.patch
  50091807-add-sle-device-information.patch
  9dec2be8-add-sle-date-information.patch
  1a7ce161-add-sle-resource-information.patch
  99ae3d72-add-sle12sp2-support.patch
- Dropped or renamed
  Fix_derives-from_and_add_tablet_item.patch
  add-opensuse-leap-42.2-support.patch
  add-sle12sp2-support.patch
  add-sle12sp2-support-for-arch.patch
  add-missing-sle10-distros.patch
* Thu Dec  1 2016 carnold@suse.com
- Update to database version 20161026
  osinfo-db-20161026.tar.xz
* Thu Dec  1 2016 carnold@suse.com
- bsc#1012005 - [openqa virtualization] using the wrong bootloader
  tool to boot the sles-12-sp3 pv kernel on xen platform
  add-sle12sp3-support.patch
  add-opensuse-leap-42.3-support.patch
* Tue Oct 11 2016 carnold@suse.com
- bsc#1003456 - virt-install fails to detect openSUSE Leap 42.2 ISO
  add-opensuse-leap-42.2-support.patch
- bsc#1000188 - virt-install on aarch64 does not detect
  installation iso
  add-sle12sp2-support-for-arch.patch
- bsc#986731 - libosinfo: Add support for openSUSE Leap 42.2
  add-opensuse-leap-42.2-support.patch
- bsc#979369 - libosinfo: Missing sle10 distro versions
  add-missing-sle10-distros.patch
- bsc#946157 - The mouse cursor doesn't work during Guest OS
  installation in KVM Mode
  Fix_derives-from_and_add_tablet_item.patch
* Mon Oct 10 2016 carnold@suse.com
- Version 20160728
  The osinfo database provides information about operating systems and
  hypervisor platforms to facilitate the automated configuration and
  provisioning of new virtual machines
